Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
hakhoailang

[ yêu cầu ] các bác sửa hộ e cái líp biến đường tròn thành điểm

Các bài được khuyến nghị

e có cái líp chuyển đường tròn thành điểm như trong code . nhưng khổ cái là khi thực thi lệnh thì nó chuyển tất cả các đường tròn kể cả những đường tròn mà mình ko mong muốn , chứ nó ko cho mình chọn những đường tròn mình chuyển . mong các bác sửa hộ e cái líp này để nó có thể cho mình chọn những đối tượng cần làm việc

em cảm ơn các bác .

 

(defun Chon()
(setq ss (ssget "x" '((0 . "Circle"))))
 (princ (sslength ss))
 (princ " §èi t­îng ®· chän ®­îc")
 (princ)
 (setq soluong (sslength ss))
 (while (> soluong 0)
  (setq soluong (1- soluong))
	(setq tamtron (assoc 10 (entget(ssname ss soluong))))


 (entmake (list (cons 0 "POINT") tamtron ))


 )

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

thế này đã đúng chưa bác nhỉ

 

 

(defun Chon()
(setq ss (ssget "" '((0 . "Circle"))))
 (princ (sslength ss))
 (princ " §èi t­îng ®· chän ®­îc")
 (princ)
 (setq soluong (sslength ss))
 (while (> soluong 0)
  (setq soluong (1- soluong))
	(setq tamtron (assoc 10 (entget(ssname ss soluong))))


 (entmake (list (cons 0 "POINT") tamtron ))


 )

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×